## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/quic-go/quic-go
%global goipath         github.com/quic-go/quic-go
Version:                0.37.4

%gometa -f


%global common_description %{expand:
quic-go is an implementation of the QUIC protocol (RFC 9000, RFC 9001, RFC 9002)
in Go. It has support for HTTP/3 (RFC 9114), including QPACK (RFC 9204).

In addition to these base RFCs, it also implements the following RFCs:
 - Unreliable Datagram Extension (RFC 9221)
 - Datagram Packetization Layer Path MTU Discovery (DPLPMTUD, RFC 8899)
 - QUIC Version 2 (RFC 9369)}

%global golicenses      LICENSE
%global godocs          docs example Changelog.md SECURITY.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        A QUIC implementation in pure Go

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%ifarch s390x
# two test fail fo s390x
# [Fail] OOB Conn Test ECN conn [It] reads ECN flags on IPv6
# [Fail] OOB Conn Test ECN conn [It] reads ECN flags on a connection that supports both IPv4 and IPv6
rm sys_conn_oob_test.go
# [Fail] HTTP 0.9 integration tests [It] performs request
# [Fail] HTTP 0.9 integration tests [It] allows setting of headers
rm interop/http09/http_test.go
%endif

# Fails randomly building in koji
#[Fail] Server server accepting connections that completed the handshake handling packets [It] drops packets if the receive queue is full
SAVEIFS=$IFS
IFS=$(echo -en "\n")
for test in "drops packets if the receive queue is full" \
; do
awk -i inplace '/It\("'$test'"/ { print; print "\t\t\t\tSkip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
IFS=$SAVEIFS
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Aug 12 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.37.4-1
- Uncommitted changes

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.36.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.2-1
- Initial import
